<?php

/***************************************************************************\
 *  SPIP, Systeme de publication pour l'internet                           *
 *                                                                         *
 *  Copyright (c) 2001-2007                                                *
 *  Arnaud Martin, Antoine Pitrou, Philippe Riviere, Emmanuel Saint-James  *
 *                                                                         *
 *  Ce programme est un logiciel libre distribue sous licence GNU/GPL.     *
 *  Pour plus de details voir le fichier COPYING.txt ou l'aide en ligne.   *
\***************************************************************************/

if (!defined("_ECRIRE_INC_VERSION")) return;

// 
// hack romain pour afficher les dates
//
function reorderDate($inputDate) {

	// on rcupre les morceaux
	$annee = substr($inputDate, 0, 4);
	
	// jamais connect
   if ($annee == "0000"){
		$outputDate = "Jamais connect&eacute;";
	} else {
		$mois = substr($inputDate, 5, 2);
		$jour = substr($inputDate, 8, 2);
		$heure = substr($inputDate, 10, 3);
		$minutes = substr($inputDate, 14, 2);
	
		if ($mois == "01") $mois = "Jan.";
		if ($mois == "02") $mois = "F&eacute;v.";
		if ($mois == "03") $mois = "Mars";
		if ($mois == "04") $mois = "Avril";
		if ($mois == "05") $mois = "Mai";
		if ($mois == "06") $mois = "Juin";
		if ($mois == "07") $mois = "Juil.";
		if ($mois == "08") $mois = "Ao&ucirc;t";
		if ($mois == "09") $mois = "Sept";
		if ($mois == "10") $mois = "Oct.";
		if ($mois == "11") $mois = "Nov.";
		if ($mois == "12") $mois = "D&eacute;c.";
	
		if ($annee == "2009") $annee_court = "09";
		if ($annee == "2008") $annee_court = "08";
		if ($annee == "2007") $annee_court = "07";
		if ($annee == "2006") $annee_court = "06";
		if ($annee == "2005") $annee_court = "05";
		if ($annee == "2004") $annee_court = "04";

		// cas normal
		$outputDate = "le&nbsp;".$jour."&nbsp;".$mois."&nbsp;".$annee_court." <br />&agrave;&nbsp;".$heure."&nbsp;h".$minutes."&nbsp;";
	}
	
	return $outputDate;
}

//
// Construit un tableau des 5 informations principales sur un auteur,
// avec des liens vers les scripts associes:
// 1. l'icone du statut, avec lien vers la page de tous ceux ayant ce statut
// 2. l'icone du mail avec un lien mailto ou a defaut la messagerie de Spip
// 3. le nom, avec lien vers la page complete des informations
// 4. le mot "site" avec le lien vers le site Web personnelle
// 5. le nombre d'articles publies
//

// http://doc.spip.org/@inc_formater_auteur_dist
function inc_formater_auteur_dist($id_auteur) {

  global $connect_id_auteur, $spip_lang_rtl, $connect_statut;

	$id_auteur = intval($id_auteur);

	$row = spip_fetch_array(spip_query("SELECT *, (en_ligne<DATE_SUB(NOW(),INTERVAL 15 DAY)) AS parti FROM spip_auteurs where id_auteur=$id_auteur"));

	$vals = array();

	$href = generer_url_ecrire("auteurs","statut=" . $row['statut']);
	$vals[] = "<a href='$href'>" . bonhomme_statut($row) . '</a>';

	if (($id_auteur == $connect_id_auteur) OR $row['parti'])
		$vals[]= '&nbsp;';
	else	$vals[]= formater_auteur_mail($row['email'], $id_auteur);

	// hack romain
	$rowRom = spip_fetch_array(spip_query("SELECT en_ligne FROM spip_auteurs where id_auteur=$id_auteur"));
    $temp = $rowRom['en_ligne'];
	$date = reorderDate($temp);
	$vals[] = "<font size='-2'>".$date.'</font>';
	// fin du hack
	
	if ($bio_auteur = attribut_html(propre(couper($row["bio"], 100))))
		$bio_auteur = " title=\"$bio_auteur\"";

	if (!$nom = typo($row['nom']))
		$nom = "<span style='color: red'>" . _T('texte_vide') . '</span>';

	$vals[] = "<a href='"
	. generer_url_ecrire('auteur_infos', "id_auteur=$id_auteur")
	. "' $bio_auteur>$nom</a>";

	if ($url_site_auteur = $row["url_site"]) $vals[] =  "<a href='$url_site_auteur'>"._T('info_site_min')."</a>";
	else $vals[] =  "&nbsp;";

	$cpt = spip_fetch_array(spip_query("SELECT COUNT(articles.id_article) AS n FROM spip_auteurs_articles AS lien, spip_articles AS articles WHERE lien.id_auteur=$id_auteur AND articles.id_article=lien.id_article AND articles.statut IN " . ($connect_statut == "0minirezo" ? "('prepa', 'prop', 'publie', 'refuse')" : "('prop', 'publie')") . " GROUP BY lien.id_auteur"));

	$nombre_articles = intval($cpt['n']);

	if ($nombre_articles > 1) $vals[] =  $nombre_articles.' '._T('info_article_2');
	elseif ($nombre_articles == 1) $vals[] =  _T('info_1_article');
	else $vals[] =  "&nbsp;";

	return $vals;
}

// http://doc.spip.org/@formater_auteur_mail
function formater_auteur_mail($email, $id_auteur)
{
	global $spip_lang_rtl;

//	if ($email) $href='mailto:' . $email;
//	else $href = generer_action_auteur("editer_message","normal/$id_auteur");
	$href = generer_action_auteur("editer_message","normal/$id_auteur");

	return "<a href='$href' title=\""
		  . _T('email')
		  . '">'
		. http_img_pack("m_envoi$spip_lang_rtl.gif", "m&gt;", " width='14' height='7'", _T('info_envoyer_message_prive'))
		  . '</a>';
}
?>
